# This file is responsible for configuring your application
# and its dependencies with the aid of the Mix.Config module.
#
# This configuration file is loaded before any dependency and
# is restricted to this project.

# General application configuration
use Mix.Config

config :gravure,
  ecto_repos: [Gravure.Repo]

# Configures the endpoint
config :gravure, GravureWeb.Endpoint,
  url: [host: "localhost"],
  secret_key_base: "mZng9ak4p+K2Q26B2bxDc5XFHltj14fu65js0d5h1IPpsoYq74lgqBgSVeYIiBu9",
  render_errors: [view: GravureWeb.ErrorView, accepts: ~w(html json)],
  pubsub: [name: Gravure.PubSub, adapter: Phoenix.PubSub.PG2]

# Configures Elixir's Logger
config :logger, :console,
  format: "$time $metadata[$level] $message\n",
  metadata: [:request_id]

# Use Jason for JSON parsing in Phoenix
config :phoenix, :json_library, Jason

# Import environment specific config. This must remain at the bottom
# of this file so it overrides the configuration defined above.
import_config "#{Mix.env()}.exs"
